Name:           python-amazon-braket-default-simulator
Version:        1.26.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An open source quantum circuit simulator to be run locally with the Amazon Braket SDK

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/amazon-braket/amazon-braket-default-simulator-python
Source:         %{pypi_source amazon_braket_default_simulator}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'amazon-braket-default-simulator' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-amazon-braket-default-simulator
Summary:        %{summary}

%description -n python3-amazon-braket-default-simulator %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-amazon-braket-default-simulator test


%prep
%autosetup -p1 -n amazon_braket_default_simulator-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x test


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-amazon-braket-default-simulator -f %{pyproject_files}


%changelog
%autochangelog